package com.marvinelsen.tatoeba.api

import com.marvinelsen.tatoeba.internal.SimpleTatoebaParser
import java.io.InputStream

interface TatoebaParser {
    fun parse(inputStream: InputStream): Sequence<TatoebaSentence>

    companion object {
        val instance: TatoebaParser by lazy { SimpleTatoebaParser() }
    }
}
